Script hash balance
GET/esplora/api/scripthash/{key}
Wallet API v1.0.0 · Script hashes
As GET /address/{address}, keyed by Electrum script hash.
Example
curl 'https://api.tensorcash.org/esplora/api/scripthash/<scripthash>'
Parameters
| Name | In | Type | Required | Description |
|---|
key | path | string | Yes | Electrum script hash: sha256 of the scriptPubKey, byte-reversed, 64 hex characters. |
Responses
| Status | Description | Body |
|---|
200 | Script hash summary | |
400 | Invalid scripthash | |
422 | Validation Error | |
503 | Index syncing: n/m | |
Schemas
ScripthashSummary
ChainStats
| Field | Type | Required | Description |
|---|
funded_txo_count | integer | Yes | Outputs received. |
funded_txo_sum | integer | Yes | Satoshis received. |
spent_txo_count | integer | Yes | Outputs spent. |
spent_txo_sum | integer | Yes | Satoshis spent. |
tx_count | integer | Yes | Transactions touching the address. |
HTTPValidationError
ValidationError
| Field | Type | Required | Description |
|---|
loc | string | integer[] | Yes | |
msg | string | Yes | |
type | string | Yes | |
- Source
- tensorcash-wallet-api (tensorcash-api) v1.0.0 (772799e) · bobponey · MIT